#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=orenburg1.11_base.ps
projection=-JM16.0c+
region=-R51.7/55.8/50.5/55.0
gmt psbasemap $region $projection -Bxa1.0f0.1 -Bya1.0f0.1 -BWeSn+t'Base Map orenburg1.11' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    52.337    55.689
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    51.578    54.612
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    52.138    52.057
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    51.976    51.893
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    51.620    54.606
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    53.577    55.494
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    51.361    53.316
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    51.361    53.324
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    51.376    53.344
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    51.361    53.331
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    51.394    53.347
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    51.380    53.343
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    50.693    51.880
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    54.880    52.326
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    50.659    51.873
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    50.705    51.847
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    52.313    55.594
    52.309    55.596
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    52.326    55.724
    52.337    55.689
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    52.309    55.596
    52.337    55.689
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.554    54.514
    51.550    54.519
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.587    54.615
    51.578    54.612
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.550    54.519
    51.578    54.612
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    52.107    51.969
    52.109    51.964
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    52.140    52.093
    52.138    52.057
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    52.109    51.964
    52.138    52.057
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.924    51.819
    51.948    51.800
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.993    51.882
    51.976    51.893
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.948    51.800
    51.976    51.893
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.590    54.519
    51.592    54.513
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.605    54.599
    51.620    54.606
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.592    54.513
    51.620    54.606
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    53.540    55.408
    53.548    55.400
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    53.650    55.400
    53.577    55.494
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    53.548    55.400
    53.577    55.494
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.333    53.225
    51.332    53.223
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.363    53.326
    51.361    53.316
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.332    53.223
    51.361    53.316
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.333    53.232
    51.333    53.231
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.366    53.306
    51.361    53.324
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.333    53.231
    51.361    53.324
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.350    53.249
    51.348    53.251
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.380    53.339
    51.376    53.344
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.348    53.251
    51.376    53.344
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.334    53.238
    51.333    53.238
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.358    53.320
    51.361    53.331
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.333    53.238
    51.361    53.331
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.367    53.255
    51.366    53.254
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.372    53.336
    51.394    53.347
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.366    53.254
    51.394    53.347
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.352    53.250
    51.352    53.250
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.392    53.350
    51.380    53.343
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.352    53.250
    51.380    53.343
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.661    51.786
    50.665    51.786
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    50.692    51.830
    50.693    51.880
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    50.665    51.786
    50.693    51.880
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    54.860    52.229
    54.852    52.233
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    54.841    52.256
    54.880    52.326
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    54.852    52.233
    54.880    52.326
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.631    51.782
    50.631    51.780
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    50.663    51.806
    50.659    51.873
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    50.631    51.780
    50.659    51.873
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.668    51.756
    50.677    51.754
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    50.626    51.945
    50.705    51.847
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    50.677    51.754
    50.705    51.847
END
# Calibration locations marked by a red cross
gmt psxy -: -R $projection -Sx -Wthick,red -O -K << END >> $psfile
    52.326    55.724     0.200
    51.587    54.615     0.200
    52.142    52.058     0.200
    51.993    51.882     0.200
    51.605    54.599     0.200
    53.578    55.475     0.200
    51.358    53.320     0.200
    51.366    53.326     0.200
    51.372    53.336     0.200
    51.365    53.334     0.200
    51.392    53.350     0.200
    51.380    53.339     0.200
END
# Calibration location confidence ellipses
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    52.326    55.724     0.000     0.400     0.400
    51.587    54.615     0.000     0.400     0.400
    52.142    52.058     0.000    10.000    10.000
    51.993    51.882     0.000     0.400     0.400
    51.605    54.599     0.000     0.400     0.400
    53.578    55.475     0.000    20.000    20.000
    51.358    53.320     0.000     0.400     0.400
    51.366    53.326     0.000     0.400     0.400
    51.372    53.336     0.000     0.400     0.400
    51.365    53.334     0.000     0.400     0.400
    51.392    53.350     0.000     0.400     0.400
    51.380    53.339     0.000     0.400     0.400
END
# Residual calibration shift vectors
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    52.326    55.724
    52.337    55.689
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    51.587    54.615
    51.578    54.612
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    52.142    52.058
    52.138    52.057
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    51.993    51.882
    51.976    51.893
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    51.605    54.599
    51.620    54.606
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    53.578    55.475
    53.577    55.494
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    51.358    53.320
    51.361    53.316
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    51.366    53.326
    51.361    53.324
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    51.372    53.336
    51.376    53.344
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    51.365    53.334
    51.361    53.331
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    51.392    53.350
    51.394    53.347
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    51.380    53.339
    51.380    53.343
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    52.337    55.689    68.172     2.983     3.774
    51.578    54.612    33.657     1.205     1.786
    52.138    52.057    72.605     1.978     2.402
    51.976    51.893    76.377     3.268     3.959
    51.620    54.606    84.423     1.772     2.008
    53.577    55.494    69.936     2.216     3.056
    51.361    53.316    57.926     0.948     1.258
    51.361    53.324    52.078     0.871     1.215
    51.376    53.344    52.211     0.913     1.322
    51.361    53.331    71.083     0.946     1.162
    51.394    53.347   -83.474     0.932     1.174
    51.380    53.343   -83.614     0.913     1.192
    50.693    51.880   -84.072     1.714     3.584
    54.880    52.326   -82.401     2.185     3.692
    50.659    51.873   -87.227     2.211     2.984
    50.705    51.847     2.469     3.019     3.743
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    50.585    51.739    64.077     1.372     1.599
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    50.585    51.762   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    50.585    51.739     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    50.585    51.739     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    50.540    51.739   5 km
END
