#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=orenburg1.11_depth_histogram.ps
projection=-JX12/10
region=-R0/16/0/15
gmt pshistogram $projection $region -W1 -F -Gcyan -L1p -Z0 -Bxa5f1+l'Depth (km)' -Bya10f1+lCounts -BWeSn+t'Focal Depths orenburg1.11' -K <<END>> $psfile
     0.500
     1.000
     0.400
     0.600
     1.000
     1.800
     0.800
     0.800
     0.800
     0.800
     0.900
     0.800
    11.000
    10.000
    10.000
    10.000
END
gmt pshistogram $projection $region -W1 -F -Gblack -K -O << END >> $psfile
    10.000
    10.000
    10.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica,black+a0.+jBL -O << END >> $psfile
    14.100     1.000 Median of constrained depths =  0.8
END
